# Assignement1-DS


#commands used to push the files into the repo
cd existing_repo
git remote add origin https://gitlab.com/rohan.jandu.jandu/assignement1-ds.git
git branch -M main
git push -uf origin main

#Files include 
Docker file for front end 
Docker file for back end
Deployment.yaml file for both react and flask app
SQL proxy file 
Json for the service user authentication 
Index.html file 
app. py for the main code 
App,js and other json file 

#Process

Both the docker images are created and pushed 
SQL database and user is creted and authentication is done in python app
deployment.yaml file is created and and env variable was used to connect the code with database
once both the deployment was done external ip of the servcie was used to run the webapp and data was input which was durther accessed in the database also.





.

